C Calculates the time taken (seconds) for the fusion zone of a steel weld 
C deposit to cool from HIGHT to LOWT (deg. C).
C C1 and C2 - heat constants defined by equation 1(b) for the cooling rate
C  in the reference:
C L.-E. Svensson, B. Gretoft and H.K.D.H. Bhadeshia, 1986, Scandinavian Journal 
C of Metallurgy, 15, 97-103.
C
C HIGHT - start temperature
C LOWT  - stop temperature
C TIME  - cooling time (for allotriomorphic ferrite formation)
C CURR  - welding current (Amps)
C VOLT  - welding voltage (Volts)
C EFF   - arc transfer efficiency
C VELOC - welding speed (m/s)
C TINT  - interpass temperature (deg. C)
C
      SUBROUTINE MAP_STEEL_TIM(C1,C2,TIME,HIGHT,LOWT,CURR,
     &                                   VOLT,EFF,VELOC,TINT)
C
      IMPLICIT NONE
      DOUBLE PRECISION C1,C2,TIME,HIGHT,LOWT,CURR,VOLT,EFF
      DOUBLE PRECISION VELOC,TINT
C
      TIME=((CURR*VOLT*EFF/VELOC)/(C1*(C2-1.0D0)))*
     &     ((LOWT-TINT)**(1.0D0-C2)-(HIGHT-TINT)**(1.0D0-C2))
      RETURN
      END

